% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/loaloa.R
\docType{data}
\name{loaloa}
\alias{loaloa}
\title{Loa loa prevalence data from 197 village surveys}
\format{A data frame with 197 rows and 11 variables}
\usage{
data(loaloa)
}
\description{
This data-set relates to a study of the prevalence of Loa loa (eyeworm) in a series of surveys undertaken in 197 villages in west Africa (Cameroon and southern Nigeria).
The variables are as follows:

\itemize{
  \item ROW row id: 1 to 197.
  \item VILLCODE village id. 
  \item LONGITUDE Longitude in degrees.
  \item LATITUDE Latitude in degrees.
  \item NO_EXAM Number of people tested.
  \item NO_INF Number of positive test results.
  \item ELEVATION Height above sea-level in metres.
  \item MEAN9901 Mean of all NDVI values recorded at village location, 1999-2001
  \item MAX9901 Maximum of all NDVI values recorded at village location, 1999-2001
  \item MIN9901 Minimum of all NDVI values recorded at village location, 1999-2001
  \item MIN9901 Minimum of all NDVI values recorded at village location, 1999-2001
  \item STDEV9901 standard deviation of all NDVI values recorded at village location, 1999-2001
}
}
\references{
Diggle, P.J., Thomson, M.C., Christensen, O.F., Rowlingson, B., Obsomer, V., Gardon, J., Wanji, S., Takougang, I., Enyong, P., Kamgno, J., Remme, H., Boussinesq, M. and Molyneux, D.H. (2007). Spatial modelling and prediction of Loa loa risk: decision making under uncertainty. Annals of Tropical Medicine and Parasitology, 101, 499-509.
}
\keyword{datasets}
